## shmem_pe_accessible

#### Purpose

Determines whether a processing element (PE) is accessible via IBM openshmem data transfers operations from the local processing element.

#### C syntax

    #include <shmem.h>

    int shmem_pe_accessible(int pe);

#### Parameters

INPUT
pe
  The processing element number of the PE that will access the local address.

#### Description

The shmem_pe_accessible function returns 1 if the specified pe is accessible from the local PE; otherwise it returns 0.

#### IBM NOTES

In current implementation, all PEs will be accessible from any PE. Thus this function always returns 1 if the specified pe is in the range of 0 and (num_pes()–1)

#### C examples

#### Related information

Subroutines: shmem_addr_accessible

OpenSHMEM API Index